package ru.itmo.stat.gibdd.aggregator.domain.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "stat_gibdd_accident_weather")
@IdClass(AccidentWeather.class)
public class AccidentWeather implements AbstractEntity<String>, Serializable {
    @Id
    private Long accidentId;

    @Id
    private String weatherId;
}