package ru.itmo.stat.gibdd.aggregator.domain.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "stat_gibdd_participant_main_traffic_violations")
@IdClass(ParticipantMainTrafficViolation.class)
public class ParticipantMainTrafficViolation implements AbstractEntity<String>, Serializable {
    @Id
    private String participantId;

    @Id
    private String violationId;
}
