package ru.itmo.stat.gibdd.aggregator.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.itmo.stat.gibdd.aggregator.domain.entities.AccidentRoadMaintenanceDisadvantage;
import ru.itmo.stat.gibdd.aggregator.domain.entities.AccidentRoadNetworkObject;

import java.util.List;

@Repository
public interface AccidentRoadMaintenanceDisadvantageRepository extends JpaRepository<AccidentRoadMaintenanceDisadvantage, String> {
    List<AccidentRoadMaintenanceDisadvantage> findAllByAccidentId(Long id);
}