package ru.itmo.stat.gibdd.aggregator.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.itmo.stat.gibdd.aggregator.domain.entities.ParticipantRelatedTrafficViolation;

import java.util.List;

@Repository
public interface ParticipantRelatedTrafficViolationRepository extends JpaRepository<ParticipantRelatedTrafficViolation, String> {
    List<ParticipantRelatedTrafficViolation> findAllByParticipantId(String id);
}