package ru.itmo.stat.gibdd.aggregator.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class ParticipantDto implements AbstractDto<String> {
    private String id;

    private int participantNumber;

    private int drivingExperience;

    private int alcohol;

    private boolean safetyBeltUsed;

    private SeatTypeDto seatType;

    private ParticipantCategoryDto participantCategory;

    private String injuredCardId;

    private String sex;

    private AccidentPlaceStatusDto accidentPlaceStatus;

    private ParticipantStatusDto participantStatus;
}
