package ru.itmo.stat.gibdd.aggregator.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class VehicleDto implements AbstractDto<String> {
    private String id;

    private Long vehicleNumber;

    private int manufactureYear;

    private AccidentPlaceStatusDto vehicleAccidentPlaceStatus;

    private VehicleModelDto vehicleModel;

    private VehicleColorDto vehicleColor;

    private VehicleTypeDto vehicleType;

    private VehicleDamageDto vehicleDamage;

    private VehicleMalfunctionDto vehicleMalfunction;

    private VehicleOwnershipDto vehicleOwnership;
}
