package ru.itmo.stat.gibdd.aggregator.domain.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "stat_gibdd_accident_card_clusters")
public class AccidentCardCluster implements AbstractEntity<String> {
    @Id
    private Long id;

    private int classDeadCount;

    private int classVehicleCount;

    private int classParticipantCount;

    private int classAccidentType;

    private int classRoadConditions;

    private int classIllumination;

    private int classClass;
}
