package ru.itmo.stat.gibdd.aggregator.domain.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "stat_gibdd_accident_road_maintenance_disadvantages")
@IdClass(AccidentRoadMaintenanceDisadvantage.class)
public class AccidentRoadMaintenanceDisadvantage implements AbstractEntity<String>, Serializable {
    @Id
    private Long accidentId;

    @Id
    private String roadMaintenanceDisadvantageId;
}