package ru.itmo.stat.gibdd.aggregator.domain.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "stat_gibdd_vehicle_ownerships")
public class VehicleOwnership implements AbstractEntity<String> {
    @Id
    private String id;

    private String ownershipType;

    private String ownerType;
}
