package ru.itmo.stat.gibdd.aggregator.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.itmo.stat.gibdd.aggregator.domain.entities.AccidentParticipant;

import java.util.List;

@Repository
public interface AccidentParticipantRepository extends JpaRepository<AccidentParticipant, String> {
    List<AccidentParticipant> findAllByAccidentId(Long id);
}